List jobs
curl --request GET \
--url https://api.qovery.com/environment/{environmentId}/job \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"maximum_cpu": 16000,
"maximum_memory": 16384,
"maximum_gpu": 2,
"name": "<string>",
"cpu": 1250,
"memory": 1024,
"gpu": 1,
"auto_preview": true,
"source": {
"image": {
"image_name": "<string>",
"tag": "<string>",
"registry": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>"
},
"registry_id": "<string>"
}
},
"healthchecks": {
"readiness_probe": {
"type": {
"tcp": {
"port": 123,
"host": null
},
"http": {
"path": "/",
"scheme": "HTTP",
"port": 123
},
"exec": {
"command": [
"sh",
"-c",
"test -f /tmp/healthy"
]
},
"grpc": {
"service": null,
"port": 123
}
},
"initial_delay_seconds": 30,
"period_seconds": 10,
"timeout_seconds": 5,
"success_threshold": 1,
"failure_threshold": 9
},
"liveness_probe": {
"type": {
"tcp": {
"port": 123,
"host": null
},
"http": {
"path": "/",
"scheme": "HTTP",
"port": 123
},
"exec": {
"command": [
"sh",
"-c",
"test -f /tmp/healthy"
]
},
"grpc": {
"service": null,
"port": 123
}
},
"initial_delay_seconds": 30,
"period_seconds": 10,
"timeout_seconds": 5,
"success_threshold": 1,
"failure_threshold": 9
}
},
"icon_uri": "<string>",
"schedule": {
"on_start": {
"arguments": [
"<string>"
],
"entrypoint": "<string>"
},
"on_stop": {
"arguments": [
"<string>"
],
"entrypoint": "<string>"
},
"on_delete": {
"arguments": [
"<string>"
],
"entrypoint": "<string>"
}
},
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"max_nb_restart": 1,
"max_duration_seconds": 1,
"port": null,
"auto_deploy": true,
"annotations_groups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"annotations": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopes": [],
"updated_at": "2023-11-07T05:31:56Z"
}
],
"labels_groups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"labels": [
{
"key": "<string>",
"value": "<string>",
"propagate_to_cloud_provider": true
}
],
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
]
}Jobs
List jobs
GET
/
environment
/
{environmentId}
/
job
List jobs
curl --request GET \
--url https://api.qovery.com/environment/{environmentId}/job \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"maximum_cpu": 16000,
"maximum_memory": 16384,
"maximum_gpu": 2,
"name": "<string>",
"cpu": 1250,
"memory": 1024,
"gpu": 1,
"auto_preview": true,
"source": {
"image": {
"image_name": "<string>",
"tag": "<string>",
"registry": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>"
},
"registry_id": "<string>"
}
},
"healthchecks": {
"readiness_probe": {
"type": {
"tcp": {
"port": 123,
"host": null
},
"http": {
"path": "/",
"scheme": "HTTP",
"port": 123
},
"exec": {
"command": [
"sh",
"-c",
"test -f /tmp/healthy"
]
},
"grpc": {
"service": null,
"port": 123
}
},
"initial_delay_seconds": 30,
"period_seconds": 10,
"timeout_seconds": 5,
"success_threshold": 1,
"failure_threshold": 9
},
"liveness_probe": {
"type": {
"tcp": {
"port": 123,
"host": null
},
"http": {
"path": "/",
"scheme": "HTTP",
"port": 123
},
"exec": {
"command": [
"sh",
"-c",
"test -f /tmp/healthy"
]
},
"grpc": {
"service": null,
"port": 123
}
},
"initial_delay_seconds": 30,
"period_seconds": 10,
"timeout_seconds": 5,
"success_threshold": 1,
"failure_threshold": 9
}
},
"icon_uri": "<string>",
"schedule": {
"on_start": {
"arguments": [
"<string>"
],
"entrypoint": "<string>"
},
"on_stop": {
"arguments": [
"<string>"
],
"entrypoint": "<string>"
},
"on_delete": {
"arguments": [
"<string>"
],
"entrypoint": "<string>"
}
},
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"max_nb_restart": 1,
"max_duration_seconds": 1,
"port": null,
"auto_deploy": true,
"annotations_groups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"annotations": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopes": [],
"updated_at": "2023-11-07T05:31:56Z"
}
],
"labels_groups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"labels": [
{
"key": "<string>",
"value": "<string>",
"propagate_to_cloud_provider": true
}
],
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-update-kubecost-tuto.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Environment ID
Query Parameters
return (or not) results that must be updated
Response
List jobs
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I